%define qtdir		/usr/lib/qt2
%define KDEDATE		20001017
%define sourcedir	stable/%{version}/distribution/tar/generic/source

Name:		kdeadmin
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Adminstrative Tools
Version:	2.0
Release:	2mdk
Serial:		1

Source:		ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdeadmin-%{KDEDATE}-src.tar.bz2
Source1:	kpackage.pamd

Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Copyright:	GPL
Requires:	kdesupport >= 2.0-1mdk, kdelibs
Obsoletes:	kpackage

%description
Administrative tools for the K Desktop Environment.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdeadmin

%build
make -f Makefile.cvs
export KDEDIR=%{prefix} QTDIR=%{qtdir}
perl -pi -e "s|-O2|-O3|g" acinclude.m4
./configure --prefix=%{_prefix} \
	    --disable-rpath \
	    --disable-debug \
	    --enable-pam=yes

perl -pi -e "s/(SUBDIRS ?=.*)\bksysv\b/\1 /gm" Makefile

%make CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti"

%install
%makeinstall

cd $RPM_BUILD_ROOT
rm -f usr/share/icons/locolor/16x16/apps/package.png


##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

kdedesktop2mdkmenu.pl kdeadmin Configuration/Other $RPM_BUILD_ROOT/usr/share/applnk/System/kcron.desktop $RPM_BUILD_ROOT/usr/lib/menu/kcron
kdedesktop2mdkmenu.pl kdeadmin Configuration/Other $RPM_BUILD_ROOT/usr/share/applnk/System/ksysctrl.desktop $RPM_BUILD_ROOT/usr/lib/menu/ksysctrl
kdedesktop2mdkmenu.pl kdeadmin Configuration/Other $RPM_BUILD_ROOT/usr/share/applnk/System/kuser.desktop $RPM_BUILD_ROOT/usr/lib/menu/kuser
kdedesktop2mdkmenu.pl kdeadmin Configuration/Networking $RPM_BUILD_ROOT/usr/share/applnk/System/kwuftpd.desktop $RPM_BUILD_ROOT/usr/lib/menu/kwuftpd
#kdedesktop2mdkmenu.pl kdeadmin Applications/Editors $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kdat.desktop $RPM_BUILD_ROOT/usr/lib/menu/kdat
kdedesktop2mdkmenu.pl kdeadmin Configuration/Packaging $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kpackage.desktop $RPM_BUILD_ROOT/usr/lib/menu/kpackage

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kcron/common
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kdat/common
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/ksysv/common
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kpackage/common
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kuser/common
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kwuftpd/common

# added this rm to get rid of conflict with pciutils
rm -rf $RPM_BUILD_ROOT/usr/share/pci.ids

install -D -m644 %{SOURCE1} %buildroot/etc/pam.d/kpackage

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/pam.d/kpackage
%_bindir/*
%_libdir/*
%_datadir/*

%changelog
* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Fix Requires
- Clean spec

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code to the kde 2.0 release version

* Fri Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-5mdk
- Updated build for new libs. no code update

* Thu Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-4mdk
- Removed /usr/share/pci.ids from package this is installed by pciutils

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-3mdk
- Really use optimizations
- Fix Kpackage crash
- Macros
- Make non relocatable
- Spec clean up

* Tue Oct 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code for Release Candidate 1

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code for Release Candidate 1

* Mon Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated code

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.94-8mdk
- Pam support for kdepackage.
- Compile with pam.

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Thu Sep 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Moved kwuftd editor from control panel to Configuration->Networking not a kcontrol module
- Moved ksysctrl from control panel to Configuration->Hardware not a kcontrol module
- Moved kuser from control panel to Configuration->Other not a kcontrol module
- Moved kcron from control panel to Configuration->Other not a kcontrol module

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Updated code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code
- Turned off debug
- Moved some menu entries

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code
- Added menu conversion tool to build process

* Thu Aug 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Fixed some menu entries for mimetypes

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-16mdk
- Updated code
- menu macros

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code
- put back auto file list - code not stable enough for static list

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code
- Worked on Menus
- Removed auto file lst generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code

* Sun Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717bmdk
- Updated code

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- moved code to /usr
- renamed package

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Enabled documentation packaging
- Fixed problem in spec file

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot

* Fri Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com>
* 1.91-0.20000611mdk
- Updated code snapshot
* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- updated to 2000-05-20 code version

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Updated spec file for Mandrake
- Updated code to a more recent snapshot

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Mon Apr 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got 1.1.2 release.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
